## Name

SPI_cursor_fetch — fetch some rows from a cursor

## Synopsis

    void SPI_cursor_fetch(Portal portal, bool forward, long count)

## Description

`SPI_cursor_fetch` fetches some rows from a cursor. This is equivalent to the SQL command `FETCH`.

## Arguments

`Portal `portal``

  portal containing the cursor

`bool `forward``

  true for fetch forward, false for fetch backward

`long `count``

  maximum number of rows to fetch

## Return Value

`SPI_processed` and `SPI_tuptable` are set as in `SPI_execute` if successful.